
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.newweapons.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.newweapons.NewWeaponsMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class NewWeaponsModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, NewWeaponsMod.MODID);
	public static final RegistryObject<CreativeModeTab> WEAPONS = REGISTRY.register("weapons",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.new_weapons.weapons")).icon(() -> new ItemStack(Items.DIAMOND_SWORD)).displayItems((parameters, tabData) -> {
				tabData.accept(NewWeaponsModItems.LONGSWORD.get());
				tabData.accept(NewWeaponsModItems.WAR_AXE.get());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {

			tabData.accept(NewWeaponsModItems.LONGSWORD.get());
			tabData.accept(NewWeaponsModItems.WAR_AXE.get());

		}
	}
}
